LSCPU(1)

NAZWA
lscpu - wyświetla informacje o architekturze procesora

SKŁADNIA
lscpu [-hpx] [-s katalog]

OPIS
lscpu zbiera informacje o architekturze procesora, takie jak liczba CPU, wątków, rdzeni, gniazd, węzłów NUMA, informacje o pamięci podręcznej procesora, jego rodzinie, modelu, bogoMIPS-ach, kolejności bajtów i wersji z sysfs i /proc/cpuinfo oraz wyświetla je w postaci czytelnej dla człowieka. Obsługiwane są procesory online i offline. Program potrafi również wyświetlić informacje w postaci gotowej do przetworzenia - w tym informacje w jaki sposób pamięć podręczna jest współdzielona przez różne procesory - która może być przekazana do innych programów.

OPCJE

-h, --help
    Wypisuje komunikat pomocy.

-p, --parse[=lista]
    Wyświetla format gotowy do przetworzenia, zamiast postaci czytelnej dla człowieka.

    Jeśli nie poda się listy argumentów, to wyświetlana jest domyślna postać kompatybilna wstecznie. Format ten używa dwóch przecinków do oddzielenia kolumn pamięci podręcznych procesora. Jeśli nie zostaną one zidentyfikowane, to kolumny pamięci podręcznych w ogóle nie są wyświetlane.

    Lista argumentów jest listą kolumn, oddzielonych przecinkami. Obecnie obsługiwane są następujące kolumny: CPU, Core, Node, Socket, Book i Cache. Jeśli poda się argument lista, to żądane kolumny są wypisywane w podanej kolejności. Kolumny Cache (pamięć podręczna) są oddzielane dwukropkiem ":".

    Opcjonalny argument lista nie może być oddzielony od opcji spacją, poprawną postacią jest np. "-p=cpu,node" lub "--parse=cpu,node".

-s, --sysroot katalog
    Używa podanego katalogu jako katalogu głównego. Pozwala to na sprawdzenie migawek z innego systemu.

-x, --hex
    Używa masek szesnastkowych do zestawów CPU (np. 0x3). Domyślnie, zestawy są wypisywane w postaci listy (np. 0,1).

BŁĘDY
Ogólne informacje o rodzinie, modelu itp. procesora są dostępne zawsze jedynie dla pierwszego procesora.

Niekiedy w Xen Dom0 jądro zwraca nieprawidłowe dane.

AUTOR
Cai Qian <qcai@redhat.com>
Karel Zak <kzak@redhat.com>

DOSTĘPNOŚĆ
Polecenie lscpu jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.